Subject: Re: linux-next: build failure after merge of the net-next tree

From: Jakub Kicinski <[email-masked]>
Date: Thu, 12 Sep 2024 21:00:08 -0700

On Thu, 12 Sep 2024 20:14:06 -0700 Mina Almasry wrote:
> > On Fri, 13 Sep 2024 12:53:02 +1000 Stephen Rothwell wrote:  
> > > /home/sfr/next/tmp/ccuSzwiR.s: Assembler messages:
> > > /home/sfr/next/tmp/ccuSzwiR.s:2579: Error: operand out of domain (39 is not a multiple of 4)
> > > make[5]: *** [/home/sfr/next/next/scripts/Makefile.build:229: net/core/page_pool.o] Error 1  
> >
> > Ugh, bad times for networking, I just "fixed" the HSR one a few hours
> > ago. Any idea what line of code this is? I'm dusting off my powerpc
> > build but the error is somewhat enigmatic.  
> 
> FWIW I couldn't reproduce this with these steps on top of
> net-next/main (devmem TCP is there):
> 
> make ARCH=powerpc CROSS_COMPILE=powerpc-linux-gnu- ppc64_defconfig
> make ARCH=powerpc CROSS_COMPILE=powerpc-linux-gnu- -j80
> 
> (build succeeds)
> 
> What am I doing wrong?

I don't see it either, gcc 11.1. Given the burst of powerpc build
failures that just hit the list I'm wondering if this is real.